import { jsx } from "react/jsx-runtime";
import { IceCream as IceCream$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const IceCream = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "IceCream", ...props, children: /* @__PURE__ */ jsx(IceCream$1, { weight: variant }) });
  }
);
IceCream.displayName = "IceCream";
Object.assign(IceCream, { isGdsIcon: true });
export {
  IceCream
};
